> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom property group

> Returns a custom property group by ID



## OpenAPI

````yaml /openapi-public.json get /v1/custom-properties/groups/{groupId}
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/custom-properties/groups/{groupId}:
    get:
      tags:
        - v1 - Custom Properties
      summary: Get custom property group
      description: Returns a custom property group by ID
      operationId: getCustomPropertyGroupById
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalCustomPropertyGroupV1Model'
components:
  schemas:
    ExternalCustomPropertyGroupV1Model:
      type: object
      properties:
        id:
          type: string
          format: uuid
        companyId:
          type: string
          format: uuid
        label:
          type: string
        internalName:
          type: string
        inputType:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - SINGLE_SELECT
            - MULTI_SELECT
            - NUMERIC
            - TEXT
            - BOOLEAN
            - DATE
        objectLevel:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - HEADER
            - LINE
        objectTypes:
          uniqueItems: true
          type: array
          items:
            type: string
            description: >-
              ⚠️ This enum is not exhaustive; new values may be added in the
              future.
            enum:
              - BILL
              - CARD_TRANSACTION
              - CREDIT_NOTE
              - CONTRACT
              - CUSTOMER
              - CUSTOMER_CREDIT
              - INVOICE
              - JOURNAL_ENTRY
              - LEDGER_ACCOUNT
              - PRODUCT
              - PURCHASE_ORDER
              - PURCHASE_REQUEST
              - REIMBURSEMENT
              - VENDOR
        objectTypeStatuses:
          type: object
          additionalProperties:
            type: string
            description: >-
              ⚠️ This enum is not exhaustive; new values may be added in the
              future.
            enum:
              - ACTIVE
              - DELETED
        context:
          type: string
        values:
          type: array
          items:
            $ref: '#/components/schemas/ExternalCustomPropertyValueV1Model'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        required:
          type: boolean
      description: List of records for the current page
    ExternalCustomPropertyValueV1Model:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the object
          format: uuid
        groupId:
          type: string
          description: ID of the custom property group
          format: uuid
        groupInternalName:
          type: string
          description: Internal name of the custom property group
        companyId:
          type: string
          description: ID of the company
          format: uuid
        internalName:
          type: string
          description: Internal name of the custom property value
        label:
          type: string
          description: Label of the custom property value
        context:
          type: string
          description: Context/description of the custom property value
          nullable: true
        createdAt:
          type: string
          description: Timestamp when the custom property value was created
          format: date-time
        updatedAt:
          type: string
          description: Timestamp when the custom property value was last updated
          format: date-time
      description: >-
        List of values. Note that this will be a single value unless the group
        input type supports multiple values
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````